package com.house365.beans.entity;

import com.house365.beans.system.DomainObject;

import java.util.Date;

/**
 * 外部客户实体类
 *
 * @author Created by Administrator on 2020/6/30.
 */
public class ExternalCustomerEntity extends DomainObject {

    private static final long serialVersionUID = 1L;

    private String name;
    private String phone;
    private String bakPhone;
    private int sex;
    private String actSource;
    private int status;
    private String buyIntention;
    private Date lastCallTime;
    private int managerId;
    private String managerName;
    private String cityCode;
    private String cityName;
    private int actSourceId;
    private String remark;
    private int traceStatus;
    private String lastManager;
    private Date bindTime;
    private String createSource;
    private Date createTime;
    private int creater;
    private Date updateTime;
    private int updater;
    private int isDelete;
    private int crmSync;

    private String createName;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getBakPhone() {
        return bakPhone;
    }

    public void setBakPhone(String bakPhone) {
        this.bakPhone = bakPhone;
    }

    public int getSex() {
        return sex;
    }

    public void setSex(int sex) {
        this.sex = sex;
    }

    public String getActSource() {
        return actSource;
    }

    public void setActSource(String actSource) {
        this.actSource = actSource;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getBuyIntention() {
        return buyIntention;
    }

    public void setBuyIntention(String buyIntention) {
        this.buyIntention = buyIntention;
    }

    public Date getLastCallTime() {
        return lastCallTime;
    }

    public void setLastCallTime(Date lastCallTime) {
        this.lastCallTime = lastCallTime;
    }

    public int getManagerId() {
        return managerId;
    }

    public void setManagerId(int managerId) {
        this.managerId = managerId;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public int getActSourceId() {
        return actSourceId;
    }

    public void setActSourceId(int actSourceId) {
        this.actSourceId = actSourceId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public int getTraceStatus() {
        return traceStatus;
    }

    public void setTraceStatus(int traceStatus) {
        this.traceStatus = traceStatus;
    }

    public String getLastManager() {
        return lastManager;
    }

    public void setLastManager(String lastManager) {
        this.lastManager = lastManager;
    }

    public Date getBindTime() {
        return bindTime;
    }

    public void setBindTime(Date bindTime) {
        this.bindTime = bindTime;
    }

    public String getCreateSource() {
        return createSource;
    }

    public void setCreateSource(String createSource) {
        this.createSource = createSource;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getCreater() {
        return creater;
    }

    public void setCreater(int creater) {
        this.creater = creater;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public int getUpdater() {
        return updater;
    }

    public void setUpdater(int updater) {
        this.updater = updater;
    }

    public int getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(int isDelete) {
        this.isDelete = isDelete;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public int getCrmSync() {
        return crmSync;
    }

    public void setCrmSync(int crmSync) {
        this.crmSync = crmSync;
    }
}
